
GammaLib - Action #4467

Generalise flux computation in GModelSpatial::flux for all types of regions

12/12/2023 09:15 AM - Knödlseder Jürgen

Status: Closed Start date: 12/12/2023

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

So far the GModelSpatial::flux method only works for circular regions and models. The method should be generalised so that it works

for any kind of regions and models. This is probably best achieve by creating a model map for the spatial model and integrating the

model map using the GSkyMap::flux() method, like in GModelSpatialDiffuseMap::flux():

    // Compute flux in sky region

    double flux = m_map.flux(region) * m_value.value();

History

#1 - 12/12/2023 10:18 AM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 90

I implemented a scheme where an integration over the model bounding circle is done, checking for each evaluation whether the corresponding sky

direction is contained within the specified region.

#2 - 01/24/2024 02:34 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Merged into devel
